Skip to content
This repository
tag: 2.3.1
Fetching contributors…

Octocat-spinner-32-eaf2f5

Cannot retrieve contributors at this time

file 51 lines (45 sloc) 1.866 kb
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50
# -*- encoding: utf-8 -*-
require "lib/rhodes.rb"

Gem::Specification.new do |s|
  s.name = %q{rhodes}
  s.version = Rhodes::VERSION

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Rhomobile"]
  s.date = Time.now
  s.description = %q{Rhodes mobile framework}
  s.email = %q{dev@rhomobile.com}
  s.extra_rdoc_files = ["README.md", "LICENSE"]
  files = Array.new
  IO.read("Manifest.txt").each_line {|x| files << x.chomp}
  s.files = files
  # disable rdoc until we fix the docs
  s.has_rdoc = false
  s.homepage = %q{http://www.rhomobile.com}
  s.rdoc_options = ["--inline-source", "--charset=UTF-8"]
  s.require_paths = ["lib"]
  s.rubyforge_project = %q{rhodes}
  s.rubygems_version = %q{1.3.5}
  s.add_dependency('templater', '>= 0.5.0')
  s.add_dependency('rake', '>= 0.8.7')
  s.add_dependency('activesupport', '~> 2.3.5')
  s.add_development_dependency('rdoc', '>= 2.4.3')
  s.executables << 'rhogen'
  s.executables << 'rhodes'
  s.executables << 'upgrade-rhodes-app'
  s.executables << 'rhodes-setup'
  s.executables << 'set-rhodes-sdk'
  #this is a hack, we dont have an extension, but we want to run postinstall code. It's done via the 'building' of an extension
  s.extensions << 'ext/extconf.rb'
  s.summary = %q{The Rhodes framework is the easiest way to develop NATIVE apps with full device capabilities (GPS, PIM, camera, etc.) for any smartphone.}

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 2

    if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<diff-lcs>, [">= 1.1.2"])
    else
      s.add_dependency(%q<diff-lcs>, [">= 1.1.2"])
    end
  else
    s.add_dependency(%q<diff-lcs>, [">= 1.1.2"])
  end
end

Something went wrong with that request. Please try again.